
Name:           playerctl
Summary:        Command-line MPRIS-compatible Media Player Controller
Version:        2.0.0_rc1
Release:        1%{?dist}
URL:            https://github.com/acrisci/playerctl
Source0:        https://github.com/acrisci/playerctl/releases/download/%{version}/%{name}-2.0.0-rc1.tar.gz
License:        GPLv3+

BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(gio-unix-2.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  meson >= 0.46.0
BuildRequires:  gcc

%description
Playerctl is a command-line utility and library for controlling media players
that implement the MPRIS D-Bus Interface Specification. Playerctl makes it
easy to bind player actions, such as play and pause, to media keys.

%package devel
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       pkgconfig
Summary:        Development header files for libplayerctl
BuildRequires:  pkgconfig(gobject-introspection-1.0) gtk-doc
Requires:       pkgconfig(gobject-introspection-1.0) gtk-doc

%description devel
The package contains development header files for libplayerctl.

%prep
%autosetup -n %{name}-2.0.0-rc1

%build
meson --prefix=%{_prefix} mesonbuild
ninja -C mesonbuild

%install
DESTDIR=${RPM_BUILD_ROOT} ninja -C mesonbuild install

%files
%license COPYING
%doc CHANGELOG.md CONTRIBUTORS README.md examples
%{_bindir}/playerctl
%{_libdir}/girepository-1.0/Playerctl*.typelib
%{_libdir}/libplayerctl-*.so*
%{_datadir}/gtk-doc/html/playerctl
%{_mandir}/man1/playerctl*

%files devel
#doc %{_pkgdocdir}
%{_datarootdir}/gir-1.0/Playerctl*.gir
%{_includedir}/playerctl
%{_libdir}/libplayerctl-*.a
%{_libdir}/pkgconfig/playerctl-*.pc

%changelog
* Thu Nov 15 2018 Greg Wildman <greg@techno.co.za> - 2.0.0_rc1-1
- Update to new version

* Tue Oct 10 2017 Greg Wildman <greg@techno.co.za> - 0.5.0-1
- Update to new version

